Tasks API
The Tasks API provides endpoints for managing tasks, projects, dependencies, comments, and activity logs.
Base URL: https://endpoint.acenta.ai/core/api/v1
Projects
Section titled “Projects”List projects
Section titled “List projects”GET /projectsCreate project
Section titled “Create project”POST /projects| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Project name |
description | string | no | Project description |
Get project
Section titled “Get project”GET /projects/{id}Update project
Section titled “Update project”PUT /projects/{id}Delete project
Section titled “Delete project”DELETE /projects/{id}List tasks
Section titled “List tasks”GET /tasksQuery parameters: project_id, status, assigned_to, limit, offset
curl "https://endpoint.acenta.ai/core/api/v1/tasks?status=todo&project_id=proj-1" \ -H "Authorization: Bearer $ACENTA_KEY"Create task
Section titled “Create task”POST /tasks| Field | Type | Required | Description |
|---|---|---|---|
title | string | yes | Task title |
description | string | no | Task description |
status | string | yes | todo, in_progress, or done |
project_id | string | no | Parent project |
assigned_to | string | no | Agent ID |
priority | string | no | low, medium, high |
due_at | string | no | Due date (ISO 8601) |
curl -X POST https://endpoint.acenta.ai/core/api/v1/tasks \ -H "Authorization: Bearer $ACENTA_KEY" \ -H "Content-Type: application/json" \ -d '{"title": "Process invoices", "status": "todo", "project_id": "proj-1"}'Get task
Section titled “Get task”GET /tasks/{id}Update task
Section titled “Update task”PATCH /tasks/{id}Accepts any subset of task fields.
Delete task
Section titled “Delete task”DELETE /tasks/{id}Dependencies
Section titled “Dependencies”Add dependency
Section titled “Add dependency”POST /tasks/{id}/dependencies| Field | Type | Required | Description |
|---|---|---|---|
depends_on | string | yes | ID of the blocking task |
Remove dependency
Section titled “Remove dependency”DELETE /tasks/{id}/dependencies/{dep_id}Comments
Section titled “Comments”List comments
Section titled “List comments”GET /tasks/{id}/commentsAdd comment
Section titled “Add comment”POST /tasks/{id}/comments| Field | Type | Required | Description |
|---|---|---|---|
content | string | yes | Comment text |
Activity Log
Section titled “Activity Log”Get activity
Section titled “Get activity”GET /tasks/{id}/activityReturns a chronological list of all state changes, assignments, and comments for the task.